<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
header("Content-Type:text/html; charset=utf-8");
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 
$annio=$_GET['annio'];


// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$codigo_periodo=$row2['codigo'];
$descripcion='('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';

//Datos de la Sede
$sql2 = "select * from sedes where codigo='$sede'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_sede=$row2['nombre_sede'];

//Datos de la Carrera
$sql2 = "select * from carreras where id_carrera='$carrera'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_carrera=$row2['nombre_carrera'];


// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query = "Select Distinct
docentes.pais,
docentes.cedula,
docentes.pasaporte,
carreras.codigo_opsu,
docentes.comentario
From
docentes
Inner Join historial_docentes ON docentes.id_docente = historial_docentes.id_docente
Inner Join carreras ON historial_docentes.id_carrera = carreras.id_carrera
where historial_docentes.annio='$annio' AND
(historial_docentes.id_carrera='56B' OR
historial_docentes.id_carrera='35A'  OR
historial_docentes.id_carrera='61A' OR
historial_docentes.id_carrera='54A' OR
historial_docentes.id_carrera='55A' OR
historial_docentes.id_carrera='36A' OR
historial_docentes.id_carrera='34A' OR
historial_docentes.id_carrera='30A' OR
historial_docentes.id_carrera='29A'  OR
historial_docentes.id_carrera='64A' OR
historial_docentes.id_carrera='26A'  OR
historial_docentes.id_carrera='27A' OR
historial_docentes.id_carrera='33B' OR
historial_docentes.id_carrera='32A')
order by cedula
";
// Ejecuta el Query.
$result = mysql_query ($query,$cn) or die (mysql_error()); 

// Numero de Filas.
$totalRows = mysql_num_rows($result);

// Se genera la linea de encabezado del archivo.
$linea='206;0000000446;Coordinación de Control de Estudios'.';';

// Apertura del archivo texto
$nombre_archivo = '0000000446_206_'.$annio.'.txt';
$carpeta_destino = dirname(__FILE__);
$archivo = $carpeta_destino ."/".$nombre_archivo;
$archivo = fopen ($archivo, "w+");
$contenido='';
// Inserción del encabezado del archivo. chr(13).chr(10), forman el salto de linea.
fwrite($archivo, $linea.chr(13).chr(10));
$contenido=$contenido.$linea.chr(13).chr(10);
while ($row = mysql_fetch_row($result)) {
	if($row[0]=='000'){
	   $pais='296';
	 }         
	// Inserción del participante en el archivo
    $linea=$pais.';'.$row[1].';'.$row[2].';'.$row[3].';'.$row[4].';';
     $contenido=$contenido.$linea.chr(13).chr(10);
	fwrite($archivo, $linea.chr(13).chr(10));
}
// Cierre del archivo 
fclose($archivo);

header( "Content-Type: application/octet-stream");
header( "Content-Disposition: attachment; filename=".$nombre_archivo.""); 
print($contenido);

//echo "<a href=\"".$archivo."\">Descargar</a>";
//echo "<a href=../../".$archivo." target="contenido">Listado Moodle</a>";
					   
?>